{
  "name": "subsystem-demo-frontend",
  "version": "1.0.0",
  "description": "子系统前端示例",
  "type": "module",
  "scripts": {
    "dev-local": "vite --mode dev-local",
    "dev": "vite --port 3100",
    "dev:test": "vite --mode test",
    "dev:prod": "vite --mode prod",
    "build": "vue-tsc && vite build",
    "build:dev-local": "vite build --mode dev-local",
    "build:dev": "vite build --mode dev",
    "build:test": "vue-tsc && vite build --mode test",
    "build:prod": "vue-tsc && vite build --mode prod",
    "preview": "vite preview"
  },
  "dependencies": {
    "vue": "^3.3.8",
    "vue-router": "^4.2.5",
    "pinia": "^2.1.7",
    "axios": "^1.6.0",
    "element-plus": "^2.4.2",
    "@element-plus/icons-vue": "^2.1.0",
    "js-cookie": "^3.0.5"
  },
  "devDependencies": {
    "@types/node": "^20.8.10",
    "@types/js-cookie": "^3.0.6",
    "@vitejs/plugin-vue": "^4.4.1",
    "typescript": "~5.2.0",
    "vite": "^4.5.0",
    "vue-tsc": "^1.8.22"
  }
}